# Xaases

**Serverless** wrapper.

## Installation

Need install node, npm and serverless.

and install from ruby gem

```
$ gem install xaases
```

## Usage

First, in project directory, run command

```
$ xaases init
```

is create `xaases.yml`.

### Add table

```
$ xaases table <name> <columns...>
```

**Memo:** DynamoDB table support columns max of count is 2.

### Deploy to AWS

Need edit `serverless.yml` with

```
provider:
  name: aws
  region: <region>
```

And run `sls deploy` command.

### Add API

```
$ xaases api GET /
```

Created API `GET /`, add to `serverless.yml` and generate `handler.js`

Generated `handler.js` content is

```js
module.exports.root = (event, context, callback) => {
  callback(null, { statusCode: 200, body: "OK." });
};
```

You can edit anything of it.

## Development

After checking out the repo, run `bin/setup` to install dependencies. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/xaases.

## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).
